GitHub Following API

Get public accounts a GitHub user follows.

1 creditper request
GET
/v1/github/user/following
curl "https://api.scrapecreators.com/v1/github/user/following" \
  -H "x-api-key: "
{
  "success": true,
  "credits_remaining": 49997684530,
  "following": [
    {
      "id": 4303,
      "node_id": "MDQ6VXNlcjQzMDM=",
      "login": "jdalton",
      "avatar_url": "https://avatars.githubusercontent.com/u/4303?v=4",
      "url": "https://github.com/jdalton",
      "type": "User",
      "site_admin": false
    },
    {
      "id": 17031,
      "node_id": "MDQ6VXNlcjE3MDMx",
      "login": "jlongster",
      "avatar_url": "https://avatars.githubusercontent.com/u/17031?v=4",
      "url": "https://github.com/jlongster",
      "type": "User",
      "site_admin": false
    }
  ],
  "cursor": 2
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

handle
string

GitHub handle

Example:
kentcdodds
url
string

GitHub profile URL

Example:
https://github.com/kentcdodds
cursor
number

Cursor from the previous response. Defaults to 1.

Example:
1